Get business record
curl --request GET \
--url https://api.beltic.com/v1/businesses/{id} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.beltic.com/v1/businesses/{id}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.beltic.com/v1/businesses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": "business",
"attributes": {
"is_registered": true,
"official_name": "<string>",
"status": "<string>",
"legal_form": "<string>",
"registration_date": "<string>",
"dissolution_date": "<string>",
"translation": {
"official_name": "<string>",
"status": "<string>",
"legal_form": "<string>"
},
"registered_address": {
"formatted_address": "<string>",
"street": "<string>",
"city": "<string>",
"state_or_province": "<string>",
"postal_code": "<string>",
"country": "<string>",
"street2": "<string>",
"po_box": "<string>",
"latitude": 123,
"longitude": 123,
"start_date": "<string>",
"end_date": "<string>",
"translation": {
"official_name": "<string>",
"status": "<string>",
"legal_form": "<string>"
}
},
"physical_address": {
"formatted_address": "<string>",
"street": "<string>",
"city": "<string>",
"state_or_province": "<string>",
"postal_code": "<string>",
"country": "<string>",
"street2": "<string>",
"po_box": "<string>",
"latitude": 123,
"longitude": 123,
"start_date": "<string>",
"end_date": "<string>",
"translation": {
"official_name": "<string>",
"status": "<string>",
"legal_form": "<string>"
}
},
"identifiers": [
{
"type": "<string>",
"value": "<string>"
}
],
"industry": [
{
"code": "<string>",
"description": "<string>",
"system": "<string>",
"is_primary": true,
"translation": {
"official_name": "<string>",
"status": "<string>",
"legal_form": "<string>"
}
}
],
"capital": {
"registered": {
"amount": 123,
"currency": "<string>"
},
"paid_up": {
"amount": 123,
"currency": "<string>"
}
},
"officers": [
{
"name": "<string>",
"type": "<string>",
"date_of_birth": "<string>",
"id_type": "<string>",
"id_number": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"address_detail": {
"formatted_address": "<string>",
"street": "<string>",
"city": "<string>",
"state_or_province": "<string>",
"postal_code": "<string>",
"country": "<string>",
"street2": "<string>",
"po_box": "<string>",
"latitude": 123,
"longitude": 123,
"start_date": "<string>",
"end_date": "<string>",
"translation": {
"official_name": "<string>",
"status": "<string>",
"legal_form": "<string>"
}
},
"translation": {
"official_name": "<string>",
"status": "<string>",
"legal_form": "<string>"
},
"states": [
"<string>"
],
"sources": [
"<string>"
]
}
],
"shareholders": [
{
"name": "<string>",
"shareholder_type": "<string>",
"date_of_birth": "<string>",
"id_type": "<string>",
"id_number": "<string>",
"number_of_share": "<string>",
"percentage_of_share": 123,
"effective_date": "<string>",
"end_date": "<string>",
"translation": {
"official_name": "<string>",
"status": "<string>",
"legal_form": "<string>"
}
}
],
"contacts": [
{
"type": "<string>",
"value": "<string>",
"description": "<string>",
"start_date": "<string>",
"end_date": "<string>"
}
],
"name_history": [
{
"name": "<string>",
"effective_date": "<string>",
"end_date": "<string>",
"translation": {
"official_name": "<string>",
"status": "<string>",
"legal_form": "<string>"
}
}
],
"activity_history": [
{
"activity": "<string>",
"date": "<string>"
}
],
"latest_annual_return": {
"year_of_filing": "<string>",
"annual_meeting_date": "<string>"
}
},
"relationships": {
"sessions": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
]
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Business API
Get Business
Retrieve a business record by ID. Returns the current state of the business lookup, including processing status and any results.
Status Values:
processing: Lookup is still in progresssucceeded: Lookup completed successfully with business datanot_found: Business was not found in the registrycanceled: Lookup was canceled due to an error
Response Format:
- If status is
succeeded,data.attributescontains all business information - If status is
processing,data.attributesmay be empty or partial data.metacontainsasync_status,created_at,search_parameters, and optionallyerrors
GET
/
v1
/
businesses
/
{id}
Get business record
Authorizations
API key for authentication. Access https://console.beltic.com/ to obtain your API key.
Path Parameters
Business record ID
Example:
"123e4567-e89b-12d3-a456-426614174000"
Was this page helpful?
⌘I